<%- include('./_partial/_head.ejs') %>

<body class="skin-blue sidebar-mini " dir="rtl">
    <div class="wrapper">
        <%- include('./_partial/_nav.ejs') %>

        <!-- Left side column. contains the logo and sidebar -->
        <%- include('./_partial/asideRight.ejs') %>
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    جدول المسئولين
                </h1>

                <!-- Button trigger modal -->
                <button type="button" id="Model" class="btn btn-primary" data-toggle="modal"
                    data-target="#exampleModal">
                    اضافه مسئول
                </button>

            </section>

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="box">

                            <div class="box-body">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th scope="col"></th>
                                            <th scope="col">اسم المسئول</th>
                                            <th scope="col">رقم التليفون</th>
                                            <th scope="col">العنوان</th>
                                            <th scope="col">نوع المسئوليه</th>
                                            <th scope="col">وصف مسئوليته</th>
                                            <th scope="col">الرقم القومي</th>
                                            <th scope="col">اسم المستخدم</th>
                                            <th scope="col">حذف او تعديل</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div><!-- /.box-body -->
                        </div><!-- /.box -->


                    </div><!-- /.row -->
            </section><!-- /.content -->
        </div><!-- /.content-wrapper -->


        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">اضافه مسئول</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="nameAdmin">اسمه المسئول</label>
                                <input type="text" class="form-control" id="nameAdmin" placeholder="ادخل اسمه المسئول">
                                <div class="form-group">
                                    <label for="phoneAdmin">رقم التليفون</label>
                                    <input type="text" class="form-control" id="phoneAdmin"
                                        placeholder="ادخل رقم التليفون">
                                </div>
                                <div class="form-group">
                                    <label for="addressAdmin">العنوان</label>
                                    <input type="text" class="form-control" id="addressAdmin"
                                        placeholder="ادخل العنوان">
                                </div>
                                <div class="form-group">
                                    <label for="jobTitleAdmin">نوع المسئوليه</label>
                                    <input type="text" class="form-control" id="jobTitleAdmin"
                                        placeholder="ادخل نوع المسئوليه">
                                </div>
                                <div class="form-group">
                                    <label for="detailsAdmin">تفاصيل المسئوليه</label>
                                    <input type="text" class="form-control" id="detailsAdmin"
                                        placeholder="ادخل تفاصيل المسئوليه">
                                </div>
                                <div class="form-group">
                                    <label for="snnAdmin">الرقم القومي</label>
                                    <input type="text" class="form-control" id="snnAdmin"
                                        placeholder="ادخل الرقم القومي">
                                </div>
                                <div class="form-group">
                                    <label for="userNameAdmin">اسم المستخدم</label>
                                    <input type="text" class="form-control" id="userNameAdmin"
                                        placeholder="ادخل اسم المستخدم">
                                </div>
                                <div class="form-group">
                                    <label for="passwordAdmin">كلمه السر</label>
                                    <input type="password" class="form-control" id="passwordAdmin"
                                        placeholder="ادخل كلمه السر">
                                </div>

                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" id='saveAdmin' class="btn btn-primary">حفظ</button>
                            </div>
                        </form>



                    </div>


                </div>
            </div>
        </div>
        <!-- Modal updated-->
        <div class="modal fade" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">تعديل مسئول</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="nameAdminUpdate">اسمه المسئول</label>
                                <input type="text" class="form-control" id="nameAdminUpdate"
                                    placeholder="ادخل اسمه المسئول">
                                <div class="form-group">
                                    <label for="phoneAdminUpdate">رقم التليفون</label>
                                    <input type="text" class="form-control" id="phoneAdminUpdate"
                                        placeholder="ادخل رقم التليفون">
                                </div>
                                <div class="form-group">
                                    <label for="addressAdminUpdate">العنوان</label>
                                    <input type="text" class="form-control" id="addressAdminUpdate"
                                        placeholder="ادخل العنوان">
                                </div>
                                <div class="form-group">
                                    <label for="jobTitleAdminUpdate">نوع المسئوليه</label>
                                    <input type="text" class="form-control" id="jobTitleAdminUpdate"
                                        placeholder="ادخل نوع المسئوليه">
                                </div>
                                <div class="form-group">
                                    <label for="detailsAdminUpdate">تفاصيل المسئوليه</label>
                                    <input type="text" class="form-control" id="detailsAdminUpdate"
                                        placeholder="ادخل تفاصيل المسئوليه">
                                </div>
                                <div class="form-group">
                                    <label for="snnAdminUpdate">الرقم القومي</label>
                                    <input type="text" class="form-control" id="snnAdminUpdate"
                                        placeholder="ادخل الرقم القومي">
                                </div>
                                <div class="form-group">
                                    <label for="userNameAdminUpdate">اسم المستخدم</label>
                                    <input type="text" class="form-control" id="userNameAdminUpdate"
                                        placeholder="ادخل اسم المستخدم">
                                </div>
                                <div class="form-group">
                                    <input type="hidden" class="form-control" id="adminIdUpdate" value="">
                                </div>


                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" id='saveAdminUpdate' class="btn btn-primary">حفظ</button>
                            </div>
                        </form>



                    </div>


                </div>


            </div>
        </div>
    </div>

    <!-- Modal show password-->
    <div class="modal fade" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">كلمه المرور مسئول</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="form-group">
                            <label for="Name">كلمه المرور</label>
                            <p id='showPass' class="text-warning"></p>


                            <p id='errMsg' class="text-danger"></p>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </form>



                </div>


            </div>
        </div>
    </div>
    <%- include('./_partial/_footer.ejs') %>


    <%- include('./_partial/_jQuery.ejs') %>

    <script>
        $(document).ready(function () {



            var socket = io();

            socket.emit('admins');
            socket.on('admins', function (msg) {
                $('table tbody tr').remove();
                console.log(msg);
                $.each(msg, function (key, value) {

                    var num = key + 1;
                    var getData = "<tr id='" + value.id + "'><th scope='row'>" + num + "</th><td>" + value.name + "</td><td>" + value.phone + "</td><td>" + value.address + "</td><td>" + value.job_title + "</td><td>" + value.description + "</td><td>" + value.ssn + "</td><td>" + value.user_name + "</td><td ><button class='btn btn-danger deleteAdmin' id=" + value.id + "  type='button'>مسح</button><button type='button' id='update " + value.id + "' class='btn btn-warning adminUpdateBtn' data-toggle='modal' data-target='#exampleModal2'> تعديل</button><button type='button' id='pass " + value.id + "' class='btn btn-dark showPasswprdBtn' data-toggle='modal' data-target='#exampleModal3'>*</button></td></tr>";
                    $("table tbody").append(getData);
                    console.log(value.name + " " + key);
                });
            });




            $(document).on('click', '.adminUpdateBtn', function (e) {
                let adminId = e.target.id;
                let result = adminId.split(" ");
                $.post("http://localhost:3003/weco/infoAdmin",
                    { adminId: result[1] },
                    function (data) {
                        console.log(data[0].id);
                        $('#adminIdUpdate').val(data[0].id);
                        $('#nameAdminUpdate').val(data[0].name);
                        $('#phoneAdminUpdate').val(data[0].phone);
                        $('#addressAdminUpdate').val(data[0].address);
                        $('#jobTitleAdminUpdate').val(data[0].job_title);
                        $('#detailsAdminUpdate').val(data[0].description);
                        $('#snnAdminUpdate').val(data[0].ssn);
                        $('#userNameAdminUpdate').val(data[0].user_name);

                    });

                console.log(result[1]);
            });
            $(document).on('click', '.deleteAdmin', function (e) {
                let adminId = event.target.id;
                if (adminId) {
                    $.post("http://localhost:3003/weco/deleteAdmin",
                        { adminId: adminId },
                        function (data) {
                            if (data === 'admin is deleted') {
                                console.log('in socket');
                                socket.emit('admins');

                            }
                        });
                }
                console.log(event.target.id);

            });


            $('#saveAdmin').click(function () {
                let nameAdmin = $('#nameAdmin').val();
                let phoneAdmin = $('#phoneAdmin').val();
                let addressAdmin = $('#addressAdmin').val();
                let jobTitleAdmin = $('#jobTitleAdmin').val();
                let detailsAdmin = $('#detailsAdmin').val();
                let snnAdmin = $('#snnAdmin').val();
                let userNameAdmin = $('#userNameAdmin').val();
                let passwordAdmin = $('#passwordAdmin').val();
                if (userNameAdmin != '') {
                    $.post("http://localhost:3003/weco/insertAdmin",
                        {
                            nameAdmin: nameAdmin,
                            phoneAdmin: phoneAdmin,
                            addressAdmin: addressAdmin,
                            jobTitleAdmin: jobTitleAdmin,
                            detailsAdmin: detailsAdmin,
                            snnAdmin: snnAdmin,
                            userNameAdmin: userNameAdmin,
                            passwordAdmin: passwordAdmin

                        },
                        function (data) {
                            if (data === 'admin is inserted') {
                                console.log('in socket');
                                socket.emit('admins');
                            }
                        });
                }

            });


            $('#saveAdminUpdate').click(function () {
                let adminIdUpdate = $('#adminIdUpdate').val();
                let nameAdminUpdate = $('#nameAdminUpdate').val();
                let phoneAdminUpdate = $('#phoneAdminUpdate').val();
                let addressAdminUpdate = $('#addressAdminUpdate').val();
                let jobTitleAdminUpdate = $('#jobTitleAdminUpdate').val();
                let detailsAdminUpdate = $('#detailsAdminUpdate').val();
                let snnAdminUpdate = $('#snnAdminUpdate').val();
                let userNameAdminUpdate = $('#userNameAdminUpdate').val();

                $.post("http://localhost:3003/weco/updateAdmin",
                    {
                        adminIdUpdate: adminIdUpdate,
                        nameAdminUpdate: nameAdminUpdate,
                        phoneAdminUpdate: phoneAdminUpdate,
                        addressAdminUpdate: addressAdminUpdate,
                        jobTitleAdminUpdate: jobTitleAdminUpdate,
                        detailsAdminUpdate: detailsAdminUpdate,
                        snnAdminUpdate: snnAdminUpdate,
                        userNameAdminUpdate: userNameAdminUpdate
                    },
                    function (data) {
                        if (data === 'admin is updated') {
                            console.log('in socket');
                            socket.emit('admins');
                        }
                    });


            });
        });
    </script>

</body>

</html>